<template>
  <div>
    <label class="questionsLabel" for="numberOfQuestions">Number of Questions: </label>
    <input
      class="inputNumber"
      type="number"
      id="numberOfQuestions"
      v-model="numberOfQuestions"
      min="1"
      max="50"
      @change="setNumberOfQuestions(numberOfQuestions)"
    />
  </div>
</template>

<script>
import { mapMutations } from "vuex";

export default {
  name: "StartPageNumberOfQuestions",

  data() {
    return {
      numberOfQuestions: 1,
    };
  },

  methods: {
    ...mapMutations(["setNumberOfQuestions"]),
  },
};
</script>

<style>
.questionsLabel {
  font-size: larger;
}

.inputNumber {
  width: 97%;
  margin: 0px;
  margin-bottom: 10px;
  padding: 5px;
  background-color: rgb(144, 199, 250);
  border: 1px solid rgb(45, 121, 192);
}
</style>